Subject: bug#5042: 23.1; linum-mode gives incorrect line numbers with narrowed buffers

From: Markus Triska <[email-masked]>
Date: Fri, 08 Jan 2010 00:30:28 +0100

Mark Lillibridge <[email-masked]> writes:

>  waiting on your opinion.

In my opinion, a more general solution than only for linum.el would be
best, one that also makes for example line-number-mode show line numbers
that work as expected with M-x goto-line RET also for narrowed buffers.
Ideally, it should work without having to customize each of these
features (and new modes in the future) separately. I think a promising
suggestion (found in this thread) is to generalise narrowing itself,
possibly with a single new customization option instead of many.